<template>
  <div>
    <h1>Cek Ukuran Baju berdasarkan Berat dan Tinggi badanmu</h1>
    <div>
      <label for="berat">Berat Badan</label>
      <input type="text" v-model="berat" id="berat" />
    </div>
    <div>
      <label for="tinggi">Tinggi Badan</label>
      <input type="text" v-model="tinggi" id="tinggi" />
    </div>
    <p>Rekomendasi ukuran baju anda : {{ ukuranBaju }}</p>
  </div>
</template>

<script>
export default {
  data() {
    return {
      berat: 0,
      tinggi: 0
    };
  },
  computed: {
    ukuranBaju() {
      let hasil = "";

      hasil = this.cek({
        beratKondisi: this.berat <= 65,
        t1: "S",
        t2: "M",
        t3: "L",
        t4: "L"
      });
      if (hasil) return hasil;

      hasil = this.cek({
        beratKondisi: this.berat >= 66 && this.berat <= 75,
        t1: "M",
        t2: "L",
        t3: "L",
        t4: "XL"
      });
      if (hasil) return hasil;

      hasil = this.cek({
        beratKondisi: this.berat >= 76 && this.berat <= 85,
        t1: "L",
        t2: "XL",
        t3: "XL",
        t4: "XL"
      });
      if (hasil) return hasil;

      hasil = this.cek({
        beratKondisi: this.berat >= 86 && this.berat <= 92,
        t1: "XL",
        t2: "XL",
        t3: "XL",
        t4: "XL"
      });
      if (hasil) return hasil;

      hasil = this.cek({
        beratKondisi: this.berat >= 93 && this.berat <= 100,
        t1: "XXL",
        t2: "XXL",
        t3: "XXL",
        t4: "XXL"
      });
      return hasil || ">= XXXL";
    }
  },
  methods: {
    cek({ beratKondisi, t1, t2, t3, t4, t5 = "" }) {
      if (beratKondisi) {
        if (this.tinggi < 165) {
          return t1;
        }
        if (this.tinggi >= 166 && this.tinggi <= 175) {
          return t2;
        }
        if (this.tinggi >= 176 && this.tinggi <= 185) {
          return t3;
        }
        if (this.tinggi >= 185 && this.tinggi <= 190) {
          return t4;
        }
        if (this.tinggi > 190) {
          return t5;
        }
      }
    }
  }
};
</script>

<style></style>
